Can't update/create a subnet with a domain_id via api 

12/17/2015 11:29 AM - Marius Gebert

Status: Resolved   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

if i create a subnet via the API, the "domains" were not set. Even if i run a update via API.

Here is what i am doing to upgrade:

curl -X PUT http://user:password@foreman.url.de/api/subnets/187 -d '{"domain_ids": [261]}' -H "Con

tent-Type:application/json" -H "Accept:application/json" 

{"network":"10.10.10.10","cidr":24,"mask":"255.255.255.0","priority":null,"vlanid":"200","gateway"

:"10.10.10.11","dns_primary":"10.10.10.12","dns_secondary":null,"from":null,"to":null,"created_at"

:"2015-12-17T15:59:40Z","updated_at":"2015-12-17T15:59:40Z","ipam":"DHCP","boot_mode":"DHCP","id":

187,"name":"gebert.url.de","network_address":"10.10.10.10/24","dhcp":null,"tftp":null,"dns":null,"

domains":[],"interfaces":[]}

 The domains section will empty until i update it via webinterface.

Regards,

mgebert

History

#1 - 12/17/2015 11:34 AM - Dominic Cleal

- Description updated

- Priority changed from Urgent to Normal

#2 - 02/14/2016 02:27 AM - Shlomi Zadok

Works for me on 1.11-develop

#3 - 05/20/2017 08:12 AM - Anonymous

- Status changed from New to Resolved
